RSS

Ruby On Rails error

24 2月

このようなメッセージが出た。

user@ubuntu11:~/workspace/rails/app1$ rails s
/var/lib/gems/1.9.1/gems/execjs-1.3.0/lib/execjs/runtimes.rb:50:in `autodetect’: Could not find a JavaScript runtime. See https://github.com/sstephenson/execjs for a list of available runtimes. (ExecJS::RuntimeUnavailable)
from /var/lib/gems/1.9.1/gems/execjs-1.3.0/lib/execjs.rb:5:in `<module:ExecJS>’
from /var/lib/gems/1.9.1/gems/execjs-1.3.0/lib/execjs.rb:4:in `<top (required)>

ネットでいろいろ調べたら node.js を入れると解消するらしい。

node.js (tar.gzファイル)をダウンロードして、展開して

$ ./configure
$ make
$ sudo make install

./configure でエラー (OpenSSLがない) と出たら

$ sudo apt-get install libssl-dev

で入れるか、メッセージに出てる –-without  … を追加して ./cofigure すればOK。

 
1件のコメント

投稿者: : 2012/02/24 投稿先 Ruby

 

Ruby On Rails error」への1件のフィードバック

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト / 変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト / 変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト / 変更 )

Google+ フォト

Google+ アカウントを使ってコメントしています。 ログアウト / 変更 )

%s と連携中

 
%d人のブロガーが「いいね」をつけました。